Subject: [rohc] FW: GRE and RFC 3095.

From: Remi Pelland <[email-masked]>
Date: Tue, 11 Mar 2003 17:33:48 -0500

Hi,

I haven't received any response to my question below.  Anyone know about the
two "GRE checksum" fields appearing in the general packet format shown at
the beginning of section 5.7?

Thanks.
Remi.

>  -----Original Message-----
> From: 	Remi Pelland  
> Sent:	Monday, March 03, 2003 10:01 AM
> To:	[email-masked]'
> Subject:	GRE and RFC 3095.
> 
> 
> The general compressed RTP header format provided in section 5.7 shows two
> occurences of "GRE checksum".  I understand that the one following the "AH
> data for outer list" is associated with the outer GRE header, which leaves
> the one just before the "UDP checksum" associated with the inner header.
> 
> I'm far from being a GRE expert, so there may be something I didn't quite
> understand.  However, when looking at RFC 2784 it seems to me like the GRE
> header is always followed by an IPv4 header (the one from the payload
> packet).  It thus seems impossible to find a GRE header somewhere between
> the inner IP header and the UDP header.
> 
> With this in mind, I'm wondering about the purpose of the second "GRE
> checksum" entry in the general packet format.
> 
> Any input on this would be appreciated.
> 
> Thanks,
> Rémi.
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 12 Mar 2003 09:49:31 +0100

Remi,

while GRE may be used to encapsulate protocols other than IPv4 (cf. 
"Note that this implies that only GRE headers with Ether types that 
correspond to an IP protocol number can be compressed." in 5.8.4.4), 
your basic point is correct.  With the current set of profiles and 
ethertype assignments, it seems you only ever can have one GRE header 
in a ROHC compressed packet.

I seem to remember that we noticed your point late in the development 
of RFC 3095, but at that point the formats were fixed.
If we later define a profile that does provide for a nesting of more 
than one GRE header (e.g., the IP profile currently under discussion), 
the currently defined formats will come in handy.

Gruesse, Carsten